Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.adf.model.generic
Class DataControlFactoryImpl

`java.lang.Object
oracle.adf.model.generic.DataControlFactoryImpl`

All Implemented Interfaces:
  oracle.adf.model.DataControlFactory

public class DataControlFactoryImpl
extends java.lang.Object
implements oracle.adf.model.DataControlFactory

Field Summary

Fields inherited from interface oracle.adf.model.DataControlFactory
`APP_PARAM_COOKIE_PROPERTIES, APP_PARAM_ENV_INFO, APP_PARAM_HTTP_SESSION, APP_PARAM_POOL_PROPERTIES, APP_PARAM_REQUEST_CONTEXT, APP_PARAMS_BINDING_CONTEXT`

Constructor Summary
`DataControlFactoryImpl()`

Method Summary
`protected DCGenericDataControl` | `createDataControl(java.lang.String name, java.lang.String beanClass, java.lang.Object beanInstance, boolean root)` Override this method to supply custom generic-based data control
`oracle.adf.model.DataControl` | `createSession(oracle.adf.model.BindingContext ctx, org.w3c.dom.Node node, java.util.Map appParams)` The DataControl developer should implement createSession to return an instance of `DataControl`.
`oracle.adf.model.DataControl` | `createSession(oracle.adf.model.BindingContext ctx, java.lang.String sName, java.util.Map appParams, java.util.Map parameters)` The DataControl developer should implement createSession to return an instance of `DataControl`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataControlFactoryImpl

    public DataControlFactoryImpl()

Method Detail

### createSession

    public oracle.adf.model.DataControl createSession(oracle.adf.model.BindingContext ctx,
                                                      org.w3c.dom.Node node,
                                                      java.util.Map appParams)

  Description copied from interface: `oracle.adf.model.DataControlFactory`
  The DataControl developer should implement createSession to return an instance of `DataControl`. For example, the JavaBean DataControl implements `DataControlFactoryImpl` to return an instance of `DCGenericDataControl`.

  The data binding framework will typically invoke this method once, at the beginning of a new application session. The DataControl factory implementation to use is determined by the DataControl definition.

  Specified by:
    `createSession` in interface `oracle.adf.model.DataControlFactory`
  Parameters:
    `ctx` - The BindingContext for which the DataControl is being created
    `node` - The DOM node of the DataControl definition that is being created
    `appParams` - Additional application createSession context

    The framework may pass additional context in the applicationParams Map. For example, in the case of a HttpSession, the framework will add the current HttpSession to the applicationParams Map.

### createSession

    public oracle.adf.model.DataControl createSession(oracle.adf.model.BindingContext ctx,
                                                      java.lang.String sName,
                                                      java.util.Map appParams,
                                                      java.util.Map parameters)

  Description copied from interface: `oracle.adf.model.DataControlFactory`
  The DataControl developer should implement createSession to return an instance of `DataControl`. For example, the JavaBean DataControl implements `DataControlFactoryImpl` to return an instance of `DCGenericDataControl`.

  The data binding framework will typically invoke this method once, at the beginning of a new application session. The DataControl factory implementation to use is determined by the DataControl definition.

  Specified by:
    `createSession` in interface `oracle.adf.model.DataControlFactory`
  Parameters:
    `ctx` - The BindingContext for which the DataControl is being created
    `sName` - The DataControl name as specified in the DataControl definition
    `appParams` - Additional application createSession context
    `parameters` - A Map containing name/value pairs of the properties defined in the DataControl definition

    The framework may pass additional context in the applicationParams Map. For example, in the case of a HttpSession, the framework will add the current HttpSession to the applicationParams Map.

### createDataControl

    protected DCGenericDataControl createDataControl(java.lang.String name,
                                                     java.lang.String beanClass,
                                                     java.lang.Object beanInstance,
                                                     boolean root)

  Override this method to supply custom generic-based data control

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.